Subject: Re: [bess] 答复: 答复: 答复: Flowspec for L2VPN and E-VPN

From: "Henderickx, Wim (Wim)" <[email-masked]>
Date: Fri, 14 Nov 2014 00:48:14 +0000

I understand the RT overlap concern but is this a practical issue. Would
be good to get some opinions on this.

On 13/11/14 14:42, "Haoweiguo" <[email-masked]> wrote:

>Hi Wim,
>It seems to be a solution. Another problem:
>Current BGP flow spec for L2 VPN /L3 VPN relies on Rout Target for policy
>import/export. If using unified solution, RT can't overlap between
>different applications(L2VPN,L3VPN...). If using separating AFI/SAFI
>solution, no RT constraint issue.
>Maybe there are other questions for unified solution, i would like to
>hear other expert's comments on your proposal.
>Thanks
>weiguo
>
>________________________________________
>发件人: BESS [[email-masked]] 代表 Henderickx, Wim (Wim)
>[[email-masked]]
>发送时间: 2014年11月14日 8:27
>收件人: Haoweiguo; Thomas Morin; BESS
>抄送: IDR Chairs
>主题: Re: [bess] 答复:  答复:  Flowspec for L2VPN and E-VPN
>
>We define a new AFI/SAFI that accommodates all we have + include L2
>extensions.
>Operators that don’t need L2 extensions keep what they have.
>Operators that need L2 extensions go to the new method or mix the new
>method with the old methods per service type.
>
>Make sense?
>
>On 13/11/14 14:16, "Haoweiguo" <[email-masked]> wrote:
>
>>How to achieve compatability with current existed flowspec[RFC5575]
>>applications?
>>Thanks
>>weiguo
>>
>>________________________________________
>>发件人: Henderickx, Wim (Wim) [[email-masked]]
>>发送时间: 2014年11月14日 8:14
>>收件人: Haoweiguo; Thomas Morin; BESS
>>抄送: IDR Chairs
>>主题: Re: 答复: [bess] Flowspec for L2VPN and E-VPN
>>
>>If we define a new things I prefer to address the wider issue and include
>>L2 in that.
>>
>>On 13/11/14 14:13, "Haoweiguo" <[email-masked]> wrote:
>>
>>>Hi Wim,
>>>Allocating different AFI/SAFI(s) for each flow spec application is a
>>>applicable solution. Theoretically, unified mechanism for all flowspec
>>>can be designed, but it maybe a more harder work in IDR.
>>>Thanks
>>>weiguo
>>>
>>>________________________________________
>>>发件人: BESS [[email-masked]] 代表 Henderickx, Wim (Wim)
>>>[[email-masked]]
>>>发送时间: 2014年11月14日 7:55
>>>收件人: Thomas Morin; BESS
>>>抄送: IDR Chairs
>>>主题: Re: [bess] Flowspec for L2VPN and E-VPN
>>>
>>>As I stated in the IDR meeting my observation is that we require to many
>>>AFI/SAFI(s) for all flow spec functions. Flow spec in general is
>>>providing
>>>match criteria¹s with related actions. Given the proposal on Flowspec
>>>for
>>>L2 is new we should look at the bigger picture.
>>>In My view we need a mechanism in BGP to advertise Flowspec match
>>>criteria¹s with related actions and they should cover L2/L3-IPv4/IPv6.
>>>
>>>On 13/11/14 13:44, "Thomas Morin" <[email-masked]> wrote:
>>>
>>>>Hi WG,
>>>>
>>>>A heads up...
>>>>
>>>>These two drafts relate to BESS and thus may be of interest to us:
>>>>- draft-hao-idr-flowspec-l2vpn
>>>><http://tools.ietf.org/html?draft=draft-hao-idr-flowspec-l2vpn-01> (on
>>>>idr agenda, being presented right now)
>>>>- draft-hao-idr-flowspec-evpn
>>>><https://tools.ietf.org/html/draft-hao-idr-flowspec-evpn-00>
>>>>
>>>>Best,
>>>>
>>>>-Thomas
>>>>
>>>>
>>>>_______________________________________________
>>>>BESS mailing list
>>>>[email-masked]
>>>>https://www.ietf.org/mailman/listinfo/bess
>>>
>>>_______________________________________________
>>>BESS mailing list
>>>[email-masked]
>>>https://www.ietf.org/mailman/listinfo/bess
>
>_______________________________________________
>BESS mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/bess